.global __poweroff
.global __battery
.global __battery_type
.global __set_backlight
.global __set_quit_handler

.section ".text"

#define syscall(id)              \
    mov.l syscall_table, r2	    ;\
    mov.l 1f,            r0     ;\
    jmp	  @r2                   ;\
    nop                         ;\
.align 4                        ;\
1: .long id

#ifdef FX9860G

syscall_table:
    .long 0x80010070

#endif /* FX9860G */

#ifdef FXCG50

__poweroff:
    syscall(0x1839)

__battery:
    syscall(0x1186)

__battery_type:
    syscall(0x12d5)

__set_backlight:
    syscall(0x0199)

__set_quit_handler:
	syscall(0x1E6E)

syscall_table:
    .long 0x80020070

#endif /* FXCG50 */
