#ifndef UNS_JOB_H
#define UNS_JOB_H

#include <stdint.h>

#include <wren.h>

#define UNS_MAX_JOBS 128
extern WrenVM *job_vms[UNS_MAX_JOBS];
extern void *job_stacks[UNS_MAX_JOBS];
extern int current_job_id;

int job_start(uint32_t entry_point);
void job_resume(int job_id);
void job_free(int job_id);

void next_job(void);

#endif // #ifndef UNS_JOB_H